## org.apache.fop.tools.xslt
Class TraxTransform

    java.lang.Object
      |
      +--org.apache.fop.tools.xslt.TraxTransform

public class TraxTransform
extends java.lang.Object

Handles xslt tranformations via Trax (xalan2)

Constructor Summary
`TraxTransform()`

Method Summary
`static javax.xml.transform.Transformer` `getTransformer(java.lang.String xsltFilename, boolean cache)`
`static void` `transform(org.w3c.dom.Document xmlSource, java.io.InputStream xsl, org.w3c.dom.Document outputDoc)`
`static void` `transform(org.w3c.dom.Document xmlSource, java.lang.String xslURL, java.lang.String outputFile)`
`static void` `transform(javax.xml.transform.Source xmlSource, javax.xml.transform.Source xslSource, javax.xml.transform.Result result)`
`static void` `transform(java.lang.String xmlSource, java.lang.String xslURL, java.lang.String outputFile)`
`static void` `transform(java.lang.String xmlSource, java.lang.String xslURL, java.io.Writer output)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraxTransform

    public TraxTransform()

Method Detail

### getTransformer

    public static javax.xml.transform.Transformer getTransformer(java.lang.String xsltFilename,
                                                                 boolean cache)

### transform

    public static void transform(java.lang.String xmlSource,
                                 java.lang.String xslURL,
                                 java.lang.String outputFile)

### transform

    public static void transform(org.w3c.dom.Document xmlSource,
                                 java.lang.String xslURL,
                                 java.lang.String outputFile)

### transform

    public static void transform(java.lang.String xmlSource,
                                 java.lang.String xslURL,
                                 java.io.Writer output)

### transform

    public static void transform(org.w3c.dom.Document xmlSource,
                                 java.io.InputStream xsl,
                                 org.w3c.dom.Document outputDoc)

### transform

    public static void transform(javax.xml.transform.Source xmlSource,
                                 javax.xml.transform.Source xslSource,
                                 javax.xml.transform.Result result)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.